pub fn split_command (input: &str) -> Option<(&str, &str)> {
    match input.split_whitespace().into_iter().next() {
        Some(command) => { Some((command, input[command.len()..].trim())) },
        None => None
    }
}
